Package com.xebialabs.xlrelease.domain

## Class ScriptHelper

- java.lang.Object
- - com.xebialabs.xlrelease.domain.ScriptHelper

-     public class ScriptHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ABORT_SCRIPT_LOCATION_PROPERTY` |
    `static java.lang.String` | `HIDDEN` |
    `static java.lang.String` | `SCRIPT_LOCATION_PROPERTY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getAbortScript​(ConfigurationItem configurationItem)` |
    `static java.lang.String` | `getScript​(ConfigurationItem configurationItem)` |
    `static java.lang.String` | `getScript​(java.lang.String scriptProperty, ConfigurationItem configurationItem, java.lang.String defaultSuffix)` |
    `static java.lang.String` | `readScript​(java.lang.String path)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCRIPT_LOCATION_PROPERTY

          public static final java.lang.String SCRIPT_LOCATION_PROPERTY

      See Also:
        Constant Field Values

    - #### ABORT_SCRIPT_LOCATION_PROPERTY

          public static final java.lang.String ABORT_SCRIPT_LOCATION_PROPERTY

      See Also:
        Constant Field Values

    - #### HIDDEN

          public static final java.lang.String HIDDEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptHelper

          public ScriptHelper()

  - ### Method Detail

    - #### getScript

          public static java.lang.String getScript​(java.lang.String scriptProperty,
                                                   ConfigurationItem configurationItem,
                                                   java.lang.String defaultSuffix)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getScript

          public static java.lang.String getScript​(ConfigurationItem configurationItem)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getAbortScript

          public static java.lang.String getAbortScript​(ConfigurationItem configurationItem)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readScript

          public static java.lang.String readScript​(java.lang.String path)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`